Subject: RE: How to make 'mkpasswd -d' a faster process?
From: "Bui, Hung" <[email-masked]>
To: "[email-masked]'" <[email-masked]>, "Bui, Hung" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 15 Oct 2001 09:16:25 -0400

Dear Luke,

Thanks for your advise.

However, the problem is that the <domain> has more than 5000 entries.  I
wonder if there is anyway to specify the exact entry that you want to
retrieve the information for.  I do not understand how MS domain work, but
should there be a way you can retrieve entry by keyword?

Thanks again,
Hung.

-----Original Message-----
From: Luke Bakken [mailto:[email-masked]]
Sent: Friday, October 12, 2001 4:50 PM
To: Bui, Hung
Cc: [email-masked]'
Subject: Re: How to make 'mkpasswd -d' a faster process?

Try specifying the domain to which you belong explicitly:

mkpasswd -d DOMAIN >> /etc/passwd

Luke

On Fri, 12 Oct 2001, Bui, Hung wrote:

> Dear all,
>
> I am a newbie to cygwin here.
>
> Recently, I installed cygwin 1.3.3.  I tried to turn on ntsec, however,
when
> I run:
>
> mkpasswd -d > /etc/passwd
>
> mkpasswd traverses the whole directory tree of my company to get
everyone's
> name.  I have it run almost all day and mkpasswd still has not found my id
> yet.
>
> Is there any way to specify the 'user name' to be extracted from the
domain
> directory?  Is there a faster version of mkpasswd?
>
> BTW, using '| grep <username>' does not help because it takes as long to
> traverse the whole directory.
>
> Thanks in advance,
> Hung
>
> [email-masked]
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/